diff --git a/external/fmt/test/format-test.cc b/external/fmt/test/format-test.cc
index 2a25566c..a8592ef0 100644
--- a/external/fmt/test/format-test.cc
+++ b/external/fmt/test/format-test.cc
@@ -951,152 +903,193 @@ TEST(FormatterTest, Precision) {
       "000000000000000000000000000000000000000000000000000000000000000000000000"
       "000000000000000000000000000000000000000000000000000000000000000000000000"
       "000000000000000000000000000000000000000000000000000P+127",
-      format("{:.838A}", -2.14001164E+38));
-  EXPECT_EQ("123.", format("{:#.0f}", 123.0));
-  EXPECT_EQ("1.23", format("{:.02f}", 1.234));
-  EXPECT_EQ("0.001", format("{:.1g}", 0.001));
+      "-0XA.0FF1FFF38E4F0000000000000000000000000000000000000000000000000000000"
+      "000000000000000000000000000000000000000000000000000000000000000000000000"
+      "000000000000000000000000000000000000000000000000000000000000000000000000"
+      "000000000000000000000000000000000000000000000000000000000000000000000000"
+      "000000000000000000000000000000000000000000000000000000000000000000000000"
+      "000000000000000000000000000000000000000000000000000000000000000000000000"
+      "000000000000000000000000000000000000000000000000000000000000000000000000"
+      "000000000000000000000000000000000000000000000000000000000000000000000000"
+      "000000000000000000000000000000000000000000000000000000000000000000000000"
+      "000000000000000000000000000000000000000000000000000000000000000000000000"
+      "000000000000000000000000000000000000000000000000000000000000000000000000"
+      "000000000000000000000000000000000000000000000000000P+124"};
+  EXPECT_THAT(outputs,
+              testing::Contains(fmt::format("{:.838A}", -2.14001164E+38)));
 
-  EXPECT_THROW_MSG(format("{0:.2}", reinterpret_cast<void*>(0xcafe)),
-                   format_error,
-                   "precision not allowed for this argument type");
-  EXPECT_THROW_MSG(format("{0:.2f}", reinterpret_cast<void*>(0xcafe)),
-                   format_error,
-                   "precision not allowed for this argument type");
-  EXPECT_THROW_MSG(format("{:.{}e}", 42.0, fmt::detail::max_value<int>()),
+  EXPECT_EQ("123.", fmt::format("{:#.0f}", 123.0));
+  EXPECT_EQ("1.23", fmt::format("{:.02f}", 1.234));
+  EXPECT_EQ("0.001", fmt::format("{:.1g}", 0.001));
+  EXPECT_EQ("1019666400", fmt::format("{}", 1019666432.0f));
+  EXPECT_EQ("1e+01", fmt::format("{:.0e}", 9.5));
+  EXPECT_EQ("1.0e-34", fmt::format("{:.1e}", 1e-34));
+
+  EXPECT_THROW_MSG(
+      (void)fmt::format(runtime("{0:.2}"), reinterpret_cast<void*>(0xcafe)),
+      format_error, "precision not allowed for this argument type");
+  EXPECT_THROW_MSG(
+      (void)fmt::format(runtime("{0:.2f}"), reinterpret_cast<void*>(0xcafe)),
+      format_error, "precision not allowed for this argument type");
+  EXPECT_THROW_MSG((void)fmt::format(runtime("{:.{}e}"), 42.0,
+                                     fmt::detail::max_value<int>()),
                    format_error, "number is too big");
+  EXPECT_THROW_MSG(
+      (void)fmt::format("{:.2147483646f}", -2.2121295195081227E+304),
+      format_error, "number is too big");
 
-  EXPECT_EQ("st", format("{0:.2}", "str"));
+  EXPECT_EQ("st", fmt::format("{0:.2}", "str"));
 }
 
-TEST(FormatterTest, RuntimePrecision) {
-  char format_str[BUFFER_SIZE];
+TEST(format_test, runtime_precision) {
+  char format_str[buffer_size];
   safe_sprintf(format_str, "{0:.{%u", UINT_MAX);
   increment(format_str + 5);
-  EXPECT_THROW_MSG(format(format_str, 0), format_error, "number is too big");
+  EXPECT_THROW_MSG((void)fmt::format(runtime(format_str), 0), format_error,
+                   "invalid format string");
   size_t size = std::strlen(format_str);
   format_str[size] = '}';
   format_str[size + 1] = 0;
-  EXPECT_THROW_MSG(format(format_str, 0), format_error, "number is too big");
+  EXPECT_THROW_MSG((void)fmt::format(runtime(format_str), 0), format_error,
+                   "argument not found");
   format_str[size + 1] = '}';
   format_str[size + 2] = 0;
-  EXPECT_THROW_MSG(format(format_str, 0), format_error, "number is too big");
+  EXPECT_THROW_MSG((void)fmt::format(runtime(format_str), 0), format_error,
+                   "argument not found");
 
-  EXPECT_THROW_MSG(format("{0:.{", 0), format_error, "invalid format string");
-  EXPECT_THROW_MSG(format("{0:.{}", 0), format_error,
+  EXPECT_THROW_MSG((void)fmt::format(runtime("{0:.{"), 0), format_error,
+                   "invalid format string");
+  EXPECT_THROW_MSG((void)fmt::format(runtime("{0:.{}"), 0), format_error,
                    "cannot switch from manual to automatic argument indexing");
-  EXPECT_THROW_MSG(format("{0:.{?}}", 0), format_error,
+  EXPECT_THROW_MSG((void)fmt::format(runtime("{0:.{?}}"), 0), format_error,
                    "invalid format string");
-  EXPECT_THROW_MSG(format("{0:.{1}", 0, 0), format_error,
+  EXPECT_THROW_MSG((void)fmt::format(runtime("{0:.{1}"), 0, 0), format_error,
                    "precision not allowed for this argument type");
-  EXPECT_THROW_MSG(format("{0:.{1}}", 0), format_error, "argument not found");
+  EXPECT_THROW_MSG((void)fmt::format(runtime("{0:.{1}}"), 0), format_error,
+                   "argument not found");
 
-  EXPECT_THROW_MSG(format("{0:.{0:}}", 0), format_error,
+  EXPECT_THROW_MSG((void)fmt::format(runtime("{0:.{0:}}"), 0), format_error,
                    "invalid format string");
 
-  EXPECT_THROW_MSG(format("{0:.{1}}", 0, -1), format_error,
+  EXPECT_THROW_MSG((void)fmt::format(runtime("{0:.{1}}"), 0, -1), format_error,
                    "negative precision");
-  EXPECT_THROW_MSG(format("{0:.{1}}", 0, (INT_MAX + 1u)), format_error,
-                   "number is too big");
-  EXPECT_THROW_MSG(format("{0:.{1}}", 0, -1l), format_error,
+  EXPECT_THROW_MSG((void)fmt::format(runtime("{0:.{1}}"), 0, (INT_MAX + 1u)),
+                   format_error, "number is too big");
+  EXPECT_THROW_MSG((void)fmt::format(runtime("{0:.{1}}"), 0, -1l), format_error,
                    "negative precision");
-  if (const_check(sizeof(long) > sizeof(int))) {
+  if (fmt::detail::const_check(sizeof(long) > sizeof(int))) {
     long value = INT_MAX;
-    EXPECT_THROW_MSG(format("{0:.{1}}", 0, (value + 1)), format_error,
-                     "number is too big");
+    EXPECT_THROW_MSG((void)fmt::format(runtime("{0:.{1}}"), 0, (value + 1)),
+                     format_error, "number is too big");
   }
-  EXPECT_THROW_MSG(format("{0:.{1}}", 0, (INT_MAX + 1ul)), format_error,
-                   "number is too big");
+  EXPECT_THROW_MSG((void)fmt::format(runtime("{0:.{1}}"), 0, (INT_MAX + 1ul)),
+                   format_error, "number is too big");
 
-  EXPECT_THROW_MSG(format("{0:.{1}}", 0, '0'), format_error,
+  EXPECT_THROW_MSG((void)fmt::format(runtime("{0:.{1}}"), 0, '0'), format_error,
                    "precision is not integer");
-  EXPECT_THROW_MSG(format("{0:.{1}}", 0, 0.0), format_error,
+  EXPECT_THROW_MSG((void)fmt::format(runtime("{0:.{1}}"), 0, 0.0), format_error,
                    "precision is not integer");
 
-  EXPECT_THROW_MSG(format("{0:.{1}}", 42, 2), format_error,
+  EXPECT_THROW_MSG((void)fmt::format(runtime("{0:.{1}}"), 42, 2), format_error,
                    "precision not allowed for this argument type");
-  EXPECT_THROW_MSG(format("{0:.{1}f}", 42, 2), format_error,
+  EXPECT_THROW_MSG((void)fmt::format(runtime("{0:.{1}f}"), 42, 2), format_error,
                    "precision not allowed for this argument type");
-  EXPECT_THROW_MSG(format("{0:.{1}}", 42u, 2), format_error,
+  EXPECT_THROW_MSG((void)fmt::format(runtime("{0:.{1}}"), 42u, 2), format_error,
                    "precision not allowed for this argument type");
-  EXPECT_THROW_MSG(format("{0:.{1}f}", 42u, 2), format_error,
+  EXPECT_THROW_MSG((void)fmt::format(runtime("{0:.{1}f}"), 42u, 2),
+                   format_error,
                    "precision not allowed for this argument type");
-  EXPECT_THROW_MSG(format("{0:.{1}}", 42l, 2), format_error,
+  EXPECT_THROW_MSG((void)fmt::format(runtime("{0:.{1}}"), 42l, 2), format_error,
                    "precision not allowed for this argument type");
-  EXPECT_THROW_MSG(format("{0:.{1}f}", 42l, 2), format_error,
+  EXPECT_THROW_MSG((void)fmt::format(runtime("{0:.{1}f}"), 42l, 2),
+                   format_error,
                    "precision not allowed for this argument type");
-  EXPECT_THROW_MSG(format("{0:.{1}}", 42ul, 2), format_error,
+  EXPECT_THROW_MSG((void)fmt::format(runtime("{0:.{1}}"), 42ul, 2),
+                   format_error,
                    "precision not allowed for this argument type");
-  EXPECT_THROW_MSG(format("{0:.{1}f}", 42ul, 2), format_error,
+  EXPECT_THROW_MSG((void)fmt::format(runtime("{0:.{1}f}"), 42ul, 2),
+                   format_error,
                    "precision not allowed for this argument type");
-  EXPECT_THROW_MSG(format("{0:.{1}}", 42ll, 2), format_error,
+  EXPECT_THROW_MSG((void)fmt::format(runtime("{0:.{1}}"), 42ll, 2),
+                   format_error,
                    "precision not allowed for this argument type");
-  EXPECT_THROW_MSG(format("{0:.{1}f}", 42ll, 2), format_error,
+  EXPECT_THROW_MSG((void)fmt::format(runtime("{0:.{1}f}"), 42ll, 2),
+                   format_error,
                    "precision not allowed for this argument type");
-  EXPECT_THROW_MSG(format("{0:.{1}}", 42ull, 2), format_error,
+  EXPECT_THROW_MSG((void)fmt::format(runtime("{0:.{1}}"), 42ull, 2),
+                   format_error,
                    "precision not allowed for this argument type");
-  EXPECT_THROW_MSG(format("{0:.{1}f}", 42ull, 2), format_error,
+  EXPECT_THROW_MSG((void)fmt::format(runtime("{0:.{1}f}"), 42ull, 2),
+                   format_error,
                    "precision not allowed for this argument type");
-  EXPECT_THROW_MSG(format("{0:3.{1}}", 'x', 0), format_error,
+  EXPECT_THROW_MSG((void)fmt::format(runtime("{0:3.{1}}"), 'x', 0),
+                   format_error,
                    "precision not allowed for this argument type");
-  EXPECT_EQ("1.2", format("{0:.{1}}", 1.2345, 2));
-  EXPECT_EQ("1.2", format("{1:.{0}}", 2, 1.2345l));
+  EXPECT_EQ("1.2", fmt::format("{0:.{1}}", 1.2345, 2));
+  EXPECT_EQ("1.2", fmt::format("{1:.{0}}", 2, 1.2345l));
 
-  EXPECT_THROW_MSG(format("{0:.{1}}", reinterpret_cast<void*>(0xcafe), 2),
+  EXPECT_THROW_MSG((void)fmt::format(runtime("{0:.{1}}"),
+                                     reinterpret_cast<void*>(0xcafe), 2),
                    format_error,
                    "precision not allowed for this argument type");
-  EXPECT_THROW_MSG(format("{0:.{1}f}", reinterpret_cast<void*>(0xcafe), 2),
+  EXPECT_THROW_MSG((void)fmt::format(runtime("{0:.{1}f}"),
+                                     reinterpret_cast<void*>(0xcafe), 2),
                    format_error,
                    "precision not allowed for this argument type");
 
-  EXPECT_EQ("st", format("{0:.{1}}", "str", 2));
+  EXPECT_EQ("st", fmt::format("{0:.{1}}", "str", 2));
+}
+
+TEST(format_test, format_bool) {
+  EXPECT_EQ("true", fmt::format("{}", true));
+  EXPECT_EQ("false", fmt::format("{}", false));
+  EXPECT_EQ("1", fmt::format("{:d}", true));
+  EXPECT_EQ("true ", fmt::format("{:5}", true));
+  EXPECT_EQ("true", fmt::format("{:s}", true));
+  EXPECT_EQ("false", fmt::format("{:s}", false));
+  EXPECT_EQ("false ", fmt::format("{:6s}", false));
+}
+
+TEST(format_test, format_short) {
+  short s = 42;
+  EXPECT_EQ("42", fmt::format("{0:d}", s));
+  unsigned short us = 42;
+  EXPECT_EQ("42", fmt::format("{0:d}", us));
 }
 
 template <typename T>
 void check_unknown_types(const T& value, const char* types, const char*) {
-  char format_str[BUFFER_SIZE];
-  const char* special = ".0123456789}";
+  char format_str[buffer_size];
+  const char* special = ".0123456789L}";
   for (int i = CHAR_MIN; i <= CHAR_MAX; ++i) {
     char c = static_cast<char>(i);
     if (std::strchr(types, c) || std::strchr(special, c) || !c) continue;
     safe_sprintf(format_str, "{0:10%c}", c);
     const char* message = "invalid type specifier";
-    EXPECT_THROW_MSG(format(format_str, value), format_error, message)
+    EXPECT_THROW_MSG((void)fmt::format(runtime(format_str), value),
+                     format_error, message)
         << format_str << " " << message;
   }
 }
 
-TEST(BoolTest, FormatBool) {
-  EXPECT_EQ("true", format("{}", true));
-  EXPECT_EQ("false", format("{}", false));
-  EXPECT_EQ("1", format("{:d}", true));
-  EXPECT_EQ("true ", format("{:5}", true));
-  EXPECT_EQ(L"true", format(L"{}", true));
-}
-
-TEST(FormatterTest, FormatShort) {
-  short s = 42;
-  EXPECT_EQ("42", format("{0:d}", s));
-  unsigned short us = 42;
-  EXPECT_EQ("42", format("{0:d}", us));
-}
-
-TEST(FormatterTest, FormatInt) {
-  EXPECT_THROW_MSG(format("{0:v", 42), format_error,
-                   "missing '}' in format string");
+TEST(format_test, format_int) {
+  EXPECT_THROW_MSG((void)fmt::format(runtime("{0:v"), 42), format_error,
+                   "invalid type specifier");
   check_unknown_types(42, "bBdoxXnLc", "integer");
-  EXPECT_EQ("x", format("{:c}", static_cast<int>('x')));
-}
-
-TEST(FormatterTest, FormatBin) {
-  EXPECT_EQ("0", format("{0:b}", 0));
-  EXPECT_EQ("101010", format("{0:b}", 42));
-  EXPECT_EQ("101010", format("{0:b}", 42u));
-  EXPECT_EQ("-101010", format("{0:b}", -42));
-  EXPECT_EQ("11000000111001", format("{0:b}", 12345));
-  EXPECT_EQ("10010001101000101011001111000", format("{0:b}", 0x12345678));
-  EXPECT_EQ("10010000101010111100110111101111", format("{0:b}", 0x90ABCDEF));
+  EXPECT_EQ("x", fmt::format("{:c}", static_cast<int>('x')));
+}
+
+TEST(format_test, format_bin) {
+  EXPECT_EQ("0", fmt::format("{0:b}", 0));
+  EXPECT_EQ("101010", fmt::format("{0:b}", 42));
+  EXPECT_EQ("101010", fmt::format("{0:b}", 42u));
+  EXPECT_EQ("-101010", fmt::format("{0:b}", -42));
+  EXPECT_EQ("11000000111001", fmt::format("{0:b}", 12345));
+  EXPECT_EQ("10010001101000101011001111000", fmt::format("{0:b}", 0x12345678));
+  EXPECT_EQ("10010000101010111100110111101111",
+            fmt::format("{0:b}", 0x90ABCDEF));
   EXPECT_EQ("11111111111111111111111111111111",
-            format("{0:b}", max_value<uint32_t>()));
+            fmt::format("{0:b}", max_value<uint32_t>()));
 }
 
 #if FMT_USE_INT128
